#include <TFile.h>
#include <TObjArray.h>
#include <TGraph.h>
#include <TObject.h>
#include <TCint.h>
#include <TColor.h>
#include <TGraphErrors.h>
#include <TMultiGraph.h>
#include <TMarker.h>
#include <TTree.h>
#include <TBranch.h>
#include <TFolder.h>
#include <TString.h>
#include <TH1.h>
#include <TLegend.h>
#include <THStack.h>
#include <TCanvas.h>
#include <iostream>
#include <cstdio>
#include <sstream>
#include <string>

using namespace std;
int main(){

gROOT->Reset();

string titlefile ="mu0_1GeVRanPosRanDir";

const char *titlefile2 =strcat("mu0_1GeVRanPosRanDir","Sov.root");
TFile *myfile =TFile::Open(titlefile2);

//string title="PE from mu 0.1 GeV Random Position and Direction";

TCanvas *c1 =new TCanvas();
c1->SetGridx();
c1->SetGridy();
pmts->Draw("nostack");
pmts->SetTitle(titlefile.c_str());

TLegend *leg =new TLegend(0.80,0.55,0.99,0.80,"0","brNDC");
leg->SetHeader("PMTs");
leg->AddEntry(pmt1,"pmt1","l");
leg->AddEntry(pmt2,"pmt2","l");
leg->AddEntry(pmt3,"pmt3","l");
leg->AddEntry(tot,"Tot of the 3 pmts","l");
leg->Draw();

TAxis *xaxis =pmts->GetXaxis();
xaxis->SetTitle("nPE");
TAxis *yaxis =pmts->GetYaxis();
yaxis->SetTitle("Freq");


c1->Modified();
c1->Print("mu0_1GeVRanPosRanDirFin.eps");

gROOT->Reset();
return 0;
}

