#include <TFile.h>
#include <TObjArray.h>
#include <TGraph.h>
#include <TObject.h>
#include <TCint.h>
#include <TColor.h>
#include <TGraphErrors.h>
#include <TMultiGraph.h>
#include <TMarker.h>
#include <TTree.h>
#include <TBranch.h>
#include <TFolder.h>
#include <TString.h>
#include <TH1.h>
#include <TLegend.h>
#include <THStack.h>
#include <TCanvas.h>
#include <iostream>
#include <cstdio>
#include <sstream>


using namespace std;


int main(){

const Char_t *Energy[6];
Energy[0]="0_1GeV";
Energy[1]="0_3GeV";
Energy[2]="1GeV";
Energy[3]="3GeV";
Energy[4]="10GeV";
Energy[5]="RanEn";


const Char_t *Direction[2];
Direction[0]="theta0";
//Direction[1]="theta30";
//Direction[2]="theta60";
Direction[1]="RanPosRanDir";


Double_t PETotpmt1;
Double_t PETotpmt2;
Double_t PETotpmt3;
Double_t PETotb;


for(Int_t c=0; c<2; c++)
{

for(Int_t a=0; a<6; a++)
{
ostringstream title;
ostringstream titlegraph1;
ostringstream titlegraph2;
ostringstream titlegraph3;
ostringstream titlegraph4;


ostringstream endTitle;
ostringstream otherTitle;


if (c==1)
  {
  title<<"mu"<<Energy[a]<<Direction[c];
  }
  else
  {
    title<<"mu"<<Energy[a]<<Direction[c]<<"phi0";
  }

//title<<"el1GeVtheta0phi0";

otherTitle<<title.str().c_str()<<"TotPmts.root"<<ends;

cout<<"Processing "<<otherTitle.str().c_str()<<"...";
TFile *myfile =TFile::Open(otherTitle.str().c_str());

titlegraph1<<title.str()<<"pmt1";
titlegraph2<<title.str()<<"pmt2";
titlegraph3<<title.str()<<"pmt3";
titlegraph4<<title.str()<<"Tot";

TH1F *primo =(TH1F*)myfile->Get(titlegraph1.str().c_str());
//primo->SetName("pmt1");


int nbins1 = primo->GetNbinsX();
int bincontent1 = 0;
int x1=0;
for (int i=0; i<nbins1; i++)
         {
               bincontent1 = primo -> GetBinContent(i+1);
               if (bincontent1 !=0)
               {
                      x1= primo -> GetBinCenter(i+1);                  
	        }
         }

TH1F *pmt1 =new TH1F("pmt1","pmt1",x1,0,x1);
Float_t newbin1 =0;
for (int o=1; o<x1; o++)
{
newbin1 =primo->GetBinContent(o);
pmt1->SetBinContent(o,newbin1);
}
pmt1->SetLineColor(2);

//primo->SetAxisRange(0,x1,"x");
//primo->SetLineColor(2);

//TH1F *clone1 =(TH1F*)primo->Clone();
	 
TH1F *secondo =(TH1F*)myfile->Get(titlegraph2.str().c_str());
//secondo->SetName("pmt2");
int nbins2 = secondo->GetNbinsX();
int bincontent2 = 0;
int x2=0;
for (int l=0; l<nbins2; l++)
         {
               bincontent2 = secondo -> GetBinContent(l+1);
               if (bincontent2 !=0)
               {
                      x2= secondo -> GetBinCenter(l+1);                  
	        }
         }
	 
TH1F *pmt2 =new TH1F("pmt2","pmt2",x2,0,x2);
Float_t newbin2 =0;
for (int p=1; p<x2; p++)
{
newbin2 =secondo->GetBinContent(p);
pmt2->SetBinContent(p,newbin2);
}
pmt2->SetLineColor(3);	 
	 
//secondo->SetAxisRange(0,x2,"x");
//secondo->SetLineColor(3);

//TH1F *clone2 =(TH1F*)secondo->Clone();

TH1F *terzo =(TH1F*)myfile->Get(titlegraph3.str().c_str());
//terzo->SetName("pmt3");
int nbins3 = terzo->GetNbinsX();
int bincontent3 = 0;
int x3=0;
for (int m=0; m<nbins3; m++)
         {
               bincontent3 = terzo -> GetBinContent(m+1);
               if (bincontent3 !=0)
               {
                      x3= terzo -> GetBinCenter(m+1);                  
	        }
         }

TH1F *pmt3 =new TH1F("pmt3","pmt3",x3,0,x3);
Float_t newbin3 =0;
for (int q=1; q<x3; q++)
{
newbin3 =terzo->GetBinContent(q);
pmt3->SetBinContent(q,newbin3);
}
pmt3->SetLineColor(4);

//terzo->SetAxisRange(0,x3,"x");
//terzo->SetLineColor(4);

//TH1F *clone3 =(TH1F*)terzo->Clone();

TH1F *tot =(TH1F*)myfile->Get(titlegraph4.str().c_str());
//tot->SetName("tot");
int nbins4 = tot->GetNbinsX();
int bincontent4 = 0;
int x4=0;
for (int n=0; n<nbins4; n++)
         {
               bincontent4 = tot -> GetBinContent(n+1);
               if (bincontent4 !=0)
               {
                      x4= tot -> GetBinCenter(n+1);                  
	        }
         }

TH1F *tot2 =new TH1F("tot","tot",x4,0,x4);
Float_t newbin4 =0;
for (int r=1; r<x4; r++)
{
newbin4 =tot->GetBinContent(r);
tot2->SetBinContent(r,newbin4);
}
tot2->SetLineColor(6);

//tot->SetAxisRange(0,x4,"x");
//tot->SetLineColor(6);

//TH1F *clone4 =(TH1F*)tot->Clone();

THStack *hs = new THStack("pmts","pmts");

/*hs->Add(primo);
hs->Add(secondo);
hs->Add(terzo);
hs->Add(tot);*/

hs->Add(pmt1);
hs->Add(pmt2);
hs->Add(pmt3);
hs->Add(tot2);

endTitle<<title.str()<<"Sov.root";

TFile *prova =new TFile(endTitle.str().c_str(),"recreate");
/*clone1->Write();
clone2->Write();
clone3->Write();
clone4->Write();*/
pmt1->Write();
pmt2->Write();
pmt3->Write();
tot2->Write();
hs->Write();

cout<<"All Green!\n";
}//fine Energy
}//fine Direction

return 0;
}














